/*
 Theme Name:     Michael G. Trachtman
 Description:    Custom Divi Child Theme for Michael G. Trachtman
 Author:         Paul Dumbauld
 Author URI:     https://pauldumbauld.com
 Template:       Divi
 Version:        1.0.10
*/

/* -------------------------------------------------------------------------- */
/*                                  Globals                                   */
/* -------------------------------------------------------------------------- */
:root {
	--wcag-primary: #4d6a93;
	--wcag-accent: #ff8400;
    --wcag-primary-light: #839cbd;
	--wcag-gray: #5d6369;
	--wcag-shadow: rgba(0,0,0,0.1);
	--content-width: 90%!important;
	--content-max-width: 1280px!important;

}
html { scrollbar-color: var(--wcag-accent) var(--wcag-primary); scrollbar-width: thin;}
body {font-weight: 400;}

.et_pb_row, .container {width: 90%; max-width: var(--content-max-width);}

/* ----------------------------------- Nav ---------------------------------- */
.et_pb_menu .et-menu-nav > ul { column-gap: 20px;}
.et_pb_menu_0_tb_header.et_pb_menu ul li a { font-size: 24px!important; letter-spacing: 2px!important;}

.et_mobile_menu {border-top: 0px !important;}
.et_pb_menu .et_mobile_menu, .et_pb_menu .et_mobile_menu ul {
	text-align: center;
}

/* ---------------------------------- Lists --------------------------------- */
.et_pb_text ul li {
	line-height: 1.2;
	padding-bottom: 1em;
}
.et_pb_text ul li::marker {color: var(--wcag-accent); }
.et_pb_text ol, .et_pb_text ul { padding-bottom: 0;}

/* ---------------------------------- Links --------------------------------- */
a {
	/*background: linear-gradient(0deg, var(--wcag-accent), var(--wcag-accent)) no-repeat right bottom / 0 2px;*/
	background: linear-gradient(90deg,rgba(255,255,255,0) 0%,var(--wcag-accent) 20%,var(--wcag-accent) 80%,rgba(255,255,255,0) 100%) no-repeat right bottom / 0 2px;
	transition: background-size 350ms!important;
	padding-bottom: 1px;
}
a:where(:hover, :focus-visible) {
	background-size: 100% 2px;
	background-position-x: left;
}



